cryptol-2.6.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe
Language | Haskell2010

Cryptol.TypeCheck.Solver.Numeric

Synopsis

- cryIsEqual :: Ctxt -> Type -> Type -> Solved
- cryIsNotEqual :: Ctxt -> Type -> Type -> Solved
- cryIsGeq :: Ctxt -> Type -> Type -> Solved

# Documentation

cryIsEqual :: Ctxt -> Type -> Type -> Solved Source #

Try to solve `t1 = t2`

cryIsNotEqual :: Ctxt -> Type -> Type -> Solved Source #

Try to solve `t1 /= t2`

cryIsGeq :: Ctxt -> Type -> Type -> Solved Source #

Try to solve `t1 >= t2`